#ifndef esdTree_h
#define esdTree_h

#include <TROOT.h>
#include <TChain.h>
#include <TFile.h>
#include <TSelector.h>

class esdTree : public TSelector {
public :
   TTree          *fChain;   //!pointer to the analyzed TTree or TChain

   esdTree(TTree * /*tree*/ =0) { }
   virtual ~esdTree() { }
   virtual Int_t   Version() const { return 2; }
   virtual void    Begin(TTree *tree);
   virtual void    SlaveBegin(TTree *tree);
   virtual void    Init(TTree *tree);
   virtual Bool_t  Notify();
   virtual Bool_t  Process(Long64_t entry);
   virtual Int_t   GetEntry(Long64_t entry, Int_t getall = 0) { return fChain ? fChain->GetTree()->GetEntry(entry, getall) : 0; }
   virtual void    SetOption(const char *option) { fOption = option; }
   virtual void    SetObject(TObject *obj) { fObject = obj; }
   virtual void    SetInputList(TList *input) { fInput = input; }
   virtual TList  *GetOutputList() const { return fOutput; }
   virtual void    SlaveTerminate();
   virtual void    Terminate();

   ClassDef(esdTree,0);
};

#endif

#ifdef esdTree_cxx

void esdTree::Init(TTree *tree)
{
   if (!tree) return;
   fChain = tree;
   fChain->SetMakeClass(1);
}

Bool_t esdTree::Notify()
{
   return kTRUE;
}

#endif // #ifdef esdTree_cxx
